from typing import List
from random import randint
from lib import *
import os

TITLE = "РПГ-шечка)"
title = ""
index = 0
count = [0, 0]


scene = [Scene(open(os.path.join(resource_path("scene"), i))) for i in os.listdir(resource_path("scene"))]


def start(size: SIZE_TYPE):
    global index, TITLE, title
    y, x = size
    delay = int(Settings.get_animation())

    while title != TITLE:
        if index < x:
            print('\r%s' % Color(' ' * index, 30, 47), end='', flush=True)
            index += 1
            time.sleep(0.001 * delay)
        else:
            print('\r%s' % Color(center_text(size, title + (' ' * (len(TITLE) - len(title)))), 30, 47),
                  end='', flush=True)
            time.sleep(0.25 * delay)
            title = TITLE[:len(title) + 1]
    else:
        print('\r%s' % Color(center_text(size, title), 30, 47), flush=True)


def render_doc(size: SIZE_TYPE):
    print()
    slow_print(DOC % (TITLE))

    i = input()
    if if_yes(i):
        slow_print("Тогда начинаем)")
        time.sleep(1)
    else:
        slow_print("Ну, тогда до встречи)")
    return if_yes(i)


def game(size: SIZE_TYPE):
    end = False
    for i in range(len(scene)):
        if end:
            break
        while True:
            sc = scene[i]
            sc.level = i+1
            s = sc.render()
            if type(s) == Hero:
                if s.hp <= 0:
                    clear()
                    set_console_size(87, 8)
                    print(GAME_OVER)
                    end = True
                    input()
                    break
            if type(s) == Portal:
                break
    else:
        clear()
        set_console_size(76, 8)
        print(YOU_WIN)
        input()
